SpatialFilterQParser (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SpatialFilterQParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SpatialFilterQParser

    java.lang.Object
      org.apache.solr.search.QParser
          org.apache.solr.search.SpatialFilterQParser

    public class SpatialFilterQParser

extends QParser

See Also:
  `SpatialFilterQParserPlugin`

Field Summary

Fields inherited from class org.apache.solr.search.QParser
`localParams, localParamsEnd, params, qstr, query, recurseCount, req, stringIncludingLocalParams, valFollowedParams`

Constructor Summary
`SpatialFilterQParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req, boolean bbox)`

Method Summary
`Query` | `parse()` Create and return the `Query` object represented by `qstr`.

Methods inherited from class org.apache.solr.search.QParser
`addDebugInfo, getDefaultHighlightFields, getHighlightQuery, getLocalParams, getParam, getParams, getParser, getQuery, getReq, getSort, getString, setLocalParams, setParams, setReq, setString, subQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialFilterQParser

    public SpatialFilterQParser(String qstr,
                                SolrParams localParams,
                                SolrParams params,
                                SolrQueryRequest req,
                                boolean bbox)

Method Detail

### parse

    public Query parse()
                throws ParseException

  Description copied from class: `QParser`
  Create and return the `Query` object represented by `qstr`. Null MAY be returned to signify there was no input (e.g. no query string) to parse.

  Specified by:
    `parse` in class `QParser`
  Throws:
    `ParseException`
  See Also:
    `QParser.getQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD